Index: trunk/source/physics_lists/lists/include/HadronPhysicsFTFP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsFTFP_BERT.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsFTFP_BERT.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsFTFP_BERT.hh,v 1.3 2008/06/19 08:08:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsFTFP_BERT_TRV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsFTFP_BERT_TRV.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsFTFP_BERT_TRV.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsFTFP_BERT_TRV.hh,v 1.1 2009/06/02 16:51:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsFTF_BIC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsFTF_BIC.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsFTF_BIC.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsFTF_BIC.hh,v 1.3 2008/06/19 08:08:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsLHEP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsLHEP.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsLHEP.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_BERT.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT_HP.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT_HP.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_BERT_HP.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_EMV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_EMV.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_EMV.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_EMV.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_PRECO_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_PRECO_HP.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_PRECO_HP.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_PRECO_HP.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSC.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSC.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC.hh,v 1.2 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_BERT.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_BERT.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC_BERT.hh,v 1.2 2009/04/09 08:22:53 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_CHIPS.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_CHIPS.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_CHIPS.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC_CHIPS.hh,v 1.6 2009/04/17 15:29:19 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_EFLOW.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_EFLOW.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_EFLOW.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC_EFLOW.hh,v 1.2 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_QGSC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_QGSC.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_QGSC.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC_QGSC.hh,v 1.4 2009/04/14 07:23:08 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP.hh,v 1.4 2007/11/13 10:16:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BERT.hh,v 1.3 2007/12/10 17:34:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_HP.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_HP.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BERT_HP.hh,v 1.3 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_NOLEP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_NOLEP.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_NOLEP.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BERT_NOLEP.hh,v 1.1 2008/10/17 12:43:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_TRV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_TRV.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_TRV.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BERT_TRV.hh,v 1.1 2007/05/07 14:34:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BIC.hh,v 1.2 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC_HP.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC_HP.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BIC_HP.hh,v 1.2 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_FTFP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_FTFP_BERT.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_FTFP_BERT.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_FTFP_BERT.hh,v 1.1 2009/04/23 19:04:18 japost Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_INCL_ABLA.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_INCL_ABLA.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_INCL_ABLA.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_INCL_ABLA.hh,v 1.1 2009/07/19 18:24:03 kaitanie Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGS_BIC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGS_BIC.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGS_BIC.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGS_BIC.hh,v 1.1 2007/11/13 10:23:24 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP.icc	(revision 1227)
+++ trunk/source/physics_lists/lists/include/LHEP.icc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP.icc,v 1.3 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_BERT.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/LHEP_BERT.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_BERT.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_BERT.icc
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_BERT.icc	(revision 1227)
+++ trunk/source/physics_lists/lists/include/LHEP_BERT.icc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_BERT.icc,v 1.4 2009/05/18 08:54:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_BERT_HP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_BERT_HP.icc	(revision 1227)
+++ trunk/source/physics_lists/lists/include/LHEP_BERT_HP.icc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_BERT_HP.icc,v 1.4 2009/05/18 08:54:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_EMV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_EMV.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/LHEP_EMV.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_EMV.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_EMV.icc
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_EMV.icc	(revision 1227)
+++ trunk/source/physics_lists/lists/include/LHEP_EMV.icc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_EMV.icc,v 1.3 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_PRECO_HP.hh,v 1.1 2006/10/31 11:35:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.icc	(revision 1227)
+++ trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.icc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_PRECO_HP.icc,v 1.4 2009/05/18 08:54:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/MinEkineCuts.hh
===================================================================
--- trunk/source/physics_lists/lists/include/MinEkineCuts.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/MinEkineCuts.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: MinEkineCuts.hh,v 1.1 2006/10/31 11:35:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/physics_lists/lists/include/QBBC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QBBC.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QBBC.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: QBBC.hh,v 1.3 2009/10/04 16:05:10 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSC.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSC.icc	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QGSC.icc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: QGSC.icc,v 1.8 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// $Id: QGSC.icc,v 1.9 2009/11/27 17:28:18 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
@@ -43,4 +43,5 @@
 // 26.04.2007 G.Folger  Use QCaptureAtRest for muon
 // 16.05.2007 V.Ivanchenko: rename EM builders
+// 27.11.2009 G.Folger: Mark as obsolete
 //
 //----------------------------------------------------------------------------
@@ -70,4 +71,6 @@
 #include "HadronPhysicsQGSC.hh"
 
+#include "G4WarnPLStatus.hh"
+
 template<class T> TQGSC<T>::TQGSC(G4int ver):  T()
 {
@@ -79,4 +82,7 @@
   this->defaultCutValue = 0.7*mm;  
   this->SetVerboseLevel(ver);
+
+  G4WarnPLStatus obs;
+  obs.Unsupported("QGSC", "QGSC_BERT");
 
   // EM Physics
Index: trunk/source/physics_lists/lists/include/QGSC_BERT.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSC_BERT.icc	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QGSC_BERT.icc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSC_BERT.icc,v 1.1 2007/11/15 16:58:16 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSC_CHIPS.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSC_CHIPS.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QGSC_CHIPS.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSC_CHIPS.hh,v 1.3 2009/04/17 15:29:19 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSC_CHIPS.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSC_CHIPS.icc	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QGSC_CHIPS.icc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: QGSC_CHIPS.icc,v 1.2 2009/04/17 15:29:19 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// $Id: QGSC_CHIPS.icc,v 1.3 2009/11/27 17:28:18 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
@@ -34,4 +34,5 @@
 //
 // Modified:
+// 27.11.2009 G.Folger: Mark as obsolete
 //
 //-------------------------------------------------------------------------------
@@ -71,4 +72,6 @@
 #include "HadronPhysicsQGSC_CHIPS.hh"
 
+#include "G4WarnPLStatus.hh"
+
 template<class T> TQGSC_CHIPS<T>::TQGSC_CHIPS(G4int ver):  T()
 {
@@ -79,4 +82,7 @@
   this->defaultCutValue = 0.7*mm;
   this->SetVerboseLevel(ver);
+
+  G4WarnPLStatus obs;
+  obs.Unsupported("QGSC_CHIPS", "CHIPS");
 
   // EM Physics
Index: trunk/source/physics_lists/lists/include/QGSC_EFLOW.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSC_EFLOW.icc	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QGSC_EFLOW.icc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: QGSC_EFLOW.icc,v 1.5 2009/05/18 08:54:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// $Id: QGSC_EFLOW.icc,v 1.6 2009/11/27 17:28:18 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
@@ -39,4 +39,5 @@
 // 26.04.2007 G.Folger  Use QCaptureAtRest for muon
 // 16.05.2007 V.Ivanchenko: rename EM builders
+// 27.11.2009 G.Folger: suggest different alternative list
 //
 //----------------------------------------------------------------------------
@@ -79,5 +80,5 @@
 
   G4WarnPLStatus obs;
-  obs.Unsupported("QGSC_EFLOW","QGSC_CHIPS");
+  obs.Replaced("QGSC_EFLOW","QGSC_BERT");
   G4Exception(" Crash for usage of replaced physics list");
 
Index: trunk/source/physics_lists/lists/include/QGSC_EMV.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSC_EMV.icc	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QGSC_EMV.icc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: QGSC_EMV.icc,v 1.4 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// $Id: QGSC_EMV.icc,v 1.5 2009/11/27 17:28:18 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
@@ -40,4 +40,5 @@
 // 26.04.2007 G.Folger  Use QCaptureAtRest for muon
 // 16.05.2007 V.Ivanchenko: rename EM builders
+// 27.11.2009 G.Folger: Mark as obsolete
 //
 //----------------------------------------------------------------------------
@@ -67,4 +68,6 @@
 #include "HadronPhysicsQGSC.hh"
 
+#include "G4WarnPLStatus.hh"
+
 template<class T> TQGSC_EMV<T>::TQGSC_EMV(G4int ver):  T()
 {
@@ -76,4 +79,7 @@
   this->defaultCutValue = 0.7*mm;  
   this->SetVerboseLevel(ver);
+
+  G4WarnPLStatus obs;
+  obs.Unsupported("QGSC_EMV", "QGSC_BERT");
 
   // EM Physics
Index: trunk/source/physics_lists/lists/include/QGSC_QGSC.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSC_QGSC.icc	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QGSC_QGSC.icc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: QGSC_QGSC.icc,v 1.1 2009/04/06 10:04:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// $Id: QGSC_QGSC.icc,v 1.2 2009/11/27 17:28:18 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
@@ -34,4 +34,5 @@
 //
 // Modified:
+// 27.11.2009 G.Folger: Mark as obsolete
 //
 //----------------------------------------------------------------------------
@@ -61,4 +62,6 @@
 #include "HadronPhysicsQGSC_QGSC.hh"
 
+#include "G4WarnPLStatus.hh"
+
 template<class T> TQGSC_QGSC<T>::TQGSC_QGSC(G4int ver):  T()
 {
@@ -70,4 +73,7 @@
   this->defaultCutValue = 0.7*mm;  
   this->SetVerboseLevel(ver);
+
+  G4WarnPLStatus obs;
+  obs.Unsupported("QGSC_QGSC", "CHIPS");
 
   // EM Physics
Index: trunk/source/physics_lists/lists/include/QGSP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QGSP.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: QGSP.hh,v 1.1 2006/10/31 11:35:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP.icc	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QGSP.icc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: QGSP.icc,v 1.7 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// $Id: QGSP.icc,v 1.8 2009/11/27 17:28:19 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
@@ -41,4 +41,5 @@
 // 30.03.2007 G.Folger: Enable quasielastic for QGS string model
 // 16.05.2007 V.Ivanchenko: rename EM builders
+// 27.11.2009 G.Folger: Mark as obsolete
 //
 //----------------------------------------------------------------------------
@@ -69,4 +70,6 @@
 #include "HadronPhysicsQGSP.hh"
 
+#include "G4WarnPLStatus.hh"
+
 template<class T> TQGSP<T>::TQGSP(G4int ver):  T()
 {
@@ -75,5 +78,5 @@
 
   G4DataQuestionaire it(photon);
-  G4cout << "<<< Geant4 Physics List simulation engine: QGSP 3.3"<<G4endl;
+  G4cout << "<<< Geant4 Physics List simulation engine: QGSP 3.4"<<G4endl;
   G4cout <<G4endl;
 
@@ -81,4 +84,7 @@
   this->SetVerboseLevel(ver);
 
+  G4WarnPLStatus obs;
+  obs.Unsupported("QGSP", "QGSP_BERT");
+  
   // EM Physics
   this->RegisterPhysics( new G4EmStandardPhysics(ver));
Index: trunk/source/physics_lists/lists/include/QGSP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT.hh,v 1.1 2006/10/31 11:35:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT.icc	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT.icc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT.icc,v 1.5 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_DIF.hh,v 1.1 2007/12/10 17:34:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.icc	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.icc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_DIF.icc,v 1.3 2009/05/18 08:54:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_EMV.hh,v 1.1 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.icc	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.icc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_EMV.icc,v 1.3 2009/10/04 16:06:39 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_EMX.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_EMX.hh	(revision 1227)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_EMX.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_EMX.hh,v 1.1 2009/05/11 11:11:38 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
